안녕하세요 커널 버전이 궁금해서요

Submitted by h47m on Sat, 10/24/2009 - 00:48
Forums

가입하고 처음글을써보네요
주위에서 데비안쓰는사람을 못봤는데(우분투제외) 여기를 보니 다행이라는 생각이 듭니다^^

stable 레포트리지에 있는 바이너리커널 2.6.26, 2.6.26-1, 2.6.26-2 이것들 볼때마다 무슨차이인지를 모르겠더군요..
게다가 영어도 짧은지라;;
그냥 숫자높은것 쓰자는 생각으로 저는 항상 2.6.26-2 를 써왔는데
누가 좀 속시원하게 가르쳐주시면 감사하겠습니다!

redneval

Submitted: Sat, 10/24/2009 - 19:46

Modified: Wed, 05/03/2017 - 16:48

현재 lenny의 경우는 커널 2.6.26버전을 사용하고 있습니다.
그런데 kernel.org 같은 곳에서 보면 알 수 있듯이, 보안패치나 버그수정 등이 수시로 이뤄지고 있습니다.

데비안 커널팀에서도 패치를 하면서 테스트를 하다가, 적절한 때에 한번씩 배포를 합니다.
이렇게 한번씩 커널이 새롭게 배포될 때마다 개정번호(revision number)가 올라가게 됩니다.

linux-image-2.6.26-1-686 (2.6.26-13lenny2) 에서 13lenny2은 내부적으로 사용되는 버전이고 1이 바로 그 개정번호입니다.
쉽게 말해서, 개정번호가 높으면 보안/버그패치가 더 돼있고 다른 차이는 없습니다.
그러므로 대부분의 경우 높은 개정번호의 커널을 설치하는 것이 더 좋습니다.
lenny 같은 경우는 linux-image-2.6-686 꾸러미를 설치하면, 꾸러미간 의존성에 의해서 최신 안정버전의 커널(현재는 linux-image-2.6.26-2-686)을 유지하게 됩니다.

데비안 보안 업데이트 버젼 번호로 업데이트를 하지 않습니다.
즉, 예를 들어 a 라는 프로그램이 4버젼에서 버그가 있어 이런 저런 패치와 함께 버젼5에서 버그 패치를 했다면
데비안 패키지 정책은 버젼 5에 버그 패치를 버젼4에 머지 시킵니다.

이러한 변경은 /usr/share/doc/<패키지명> 디렉토리 아래 Changelog.Debian 파일 기록됩니다.
데비안 안정판의 경우에는 버젼 정책이 좀 엄격해서 메인테이너 맘대로 메이저 버젼을 업데이트 하지 못합니다.